Class Specialization
StreamReport
BlastReport specialization that works on a file stream (parses hits/HSPs when iterating over them).

BlastReport

StreamReport

BlastReport<TBlastHsp,StreamReport<TFile> >
Include Headers
blast.h
Parameters

TBlastHsp | The type of HSPs to be stored. See BlastHsp Metafunctions: Hsp Default: BlastHsp<BlastN,BasicInfo>
TFile | The type of the stream. Default: std::fstream

Specialization of
BlastReport
Metafunctions

Hit | Blast Hit type of a Blast object. (BlastReport)
Host | Type of the object a given object depends on. (BlastReport)
Hsp | Blast HSP type of a Blast object. (BlastReport)
Iterator | Type of iterator objects that are used to traverse the container. (BlastReport)

Functions

atEnd | Determines whether an iterator is at the end position. (BlastReport)
databaseName | Reference to the name (identifier) of the database in a Blast report. (BlastReport)
getDatabaseName | The name (identifier) of the database in a Blast report. (BlastReport)
getNext | Get next Blast report from a file containing multiple Blast reports. (BlastReport)
getQueryName | The name (identifier) of the query in a Blast report. (BlastReport)
queryName | Reference to the name (identifier) of the query in a Blast report. (BlastReport)

Example Programs
Blast Reports
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52